AWS
action CloudWatch

# enable_rule

Enables a CloudWatch rule

Run it now
View details

Type | action
Module | chaosaws.cloudwatch.actions
Name | enable_rule
Return | mapping

Usage

JSON

    {
      "name": "enable-rule",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.cloudwatch.actions",
        "func": "enable_rule",
        "arguments": {
          "rule_name": ""
        }
      }
    }

YAML

    name: enable-rule
    provider:
      arguments:
        rule_name: ""
      func: enable_rule
      module: chaosaws.cloudwatch.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
rule_name | string |  | Yes | Rule Name | Name of the rule to enable

Signature

    def enable_rule(rule_name: str,
                    configuration: Dict[str, Dict[str, str]] = None,
                    secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action CloudWatch

  ## `disable_rule`

  Disables a CloudWatch rule
- AWS
  action CloudWatch

  ## `put_metric_data`

  Publish metric data points to CloudWatch
- AWS
  probe CloudWatch

  ## `get_metric_statistics`

  Get the value of a statistical calculation for a given metric